'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      ClassDeclaration: function ClassDeclaration(path, state) {
        if (path.node.superClass && (path.node.superClass.name === 'Component' || path.node.superClass.object && path.node.superClass.object.name === 'React' && path.node.superClass.property.name === 'Component')) {
          var targetPath = path;

          if (t.isExportNamedDeclaration(path.parentPath.node) || t.isExportDefaultDeclaration(path.parentPath.node)) {
            targetPath = path.parentPath;
          }

          var modulePath = state.file.opts.filename;

          if (state.opts.stripExtension === true) {
            modulePath = modulePath.replace(/\.[^.]+$/i, '');
          }

          if (state.opts.stripCwd === true) {
            var cwd = process.cwd();
            modulePath = modulePath.indexOf(cwd) !== -1 ? modulePath.replace(cwd, '') : modulePath;
          }

          targetPath.insertAfter([t.expressionStatement(t.assignmentExpression('=', t.memberExpression(path.node.id, t.identifier('modulePath')), t.stringLiteral(modulePath)))]);
        }
      }
    }
  };
};